#!/bin/sh

myname=`basename $0`
usage () {
    echo "
Usage:  $myname {-brtype | -xpn} pname
Where:  pname is the pathname of a branch or version object
        -brtype to return branch type name
        -xpn to return extended pathname of branch object
"
}

if [ "$1" = "-brtype" ]; then
    result="type"
    shift
elif [ "$1" = "-xpn" ]; then
    result="xpn"
    shift
else
    usage
fi

pname=$1
xpname=`cleartool describe -short $pname`
mtype=`cleartool describe -fmt %m $pname`
if [ "$mtype" = "branch" ]; then
    branch=$xpname
    brtype=`basename $xpname`
elif [ "$mtype" = "version" -o "$mtype" = "directory version" -o \
       "$mtype" = "derived object version" ]; then
    branch=`dirname $xpname`
    brtype=`basename $branch`
else
    echo 1>&2 "Error: Does not identify a branch: \"$pname\""
    exit 1
fi

if [ $result = "type" ]; then
    echo $brtype
else
    echo $branch
fi
